---
title: "rclone authorize"
description: "Remote authorization."
versionIntroduced: v1.27
# autogenerated - DO NOT EDIT, instead edit the source code in cmd/authorize/ and as part of making a release run "make commanddocs"
---
# rclone authorize

Remote authorization.

## Synopsis

Remote authorization. Used to authorize a remote or headless
rclone from a machine with a browser - use as instructed by
rclone config.

The command requires 1-3 arguments:
  - fs name (e.g., "drive", "s3", etc.)
  - Either a base64 encoded JSON blob obtained from a previous rclone config session
  - Or a client_id and client_secret pair obtained from the remote service

Use --auth-no-open-browser to prevent rclone to open auth
link in default browser automatically.

Use --template to generate HTML output via a custom Go template. If a blank string is provided as an argument to this flag, the default template is used.

```
rclone authorize <fs name> [base64_json_blob | client_id client_secret] [flags]
```

## Options

```
      --auth-no-open-browser   Do not automatically open auth link in default browser
  -h, --help                   help for authorize
      --template string        The path to a custom Go template for generating HTML responses
```

See the [global flags page](/flags/) for global options not listed here.

## See Also

* [rclone](/commands/rclone/)	 - Show help for rclone commands, flags and backends.

